Subject: vbetool and x86emu compile problem

From: powerpc440 <[email-masked]>
Date: Mon, 02 Apr 2007 16:25:16 +0200

Hi,

I have ppc405ep custom board with PCI slot. In the slot is a standard
PCI Graphic adapter (Radeon 7000). Of course the card is not low-level
initialized and I can't obtain any image, neither with Kernel's frame
buffer driver nor xorg's radeon driver. With vbetool is possible to
enable the video BIOS of the graphic adapter. My problem is that, I
can't compile vbetool on my  PPC board, seems to be platform
compatibility problems, also with x86emu key enabled. I think that,
vbetool till now is only for x86, and AMD 64bit platforms suitable.
Have somebody succeed to compile vbetools on PPC platform and when yes -
how?
Are there another possibilities to low-level initialize the video card,
may be still in u-boot or Linux kernel?

Thank you in advance!

Best regards,
Zhivko Yordanov